# dirCache.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for dirCache.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cacheNode

## Functions

cacheNode * | ubixfs_cacheAdd (struct cacheNode *, struct cacheNode *)
void | ubixfs_cacheDelete (struct cacheNode **)
cacheNode * | ubixfs_cacheFind (struct cacheNode *, char *)
cacheNode * | ubixfs_cacheNew (const char *)

## Function Documentation

struct cacheNode* ubixfs_cacheAdd | ( | struct cacheNode * | ,
|  | struct cacheNode * |  |
| ) |  |  |

Definition at line 242 of file dirCache.c.

References assert, dca_spinLock, cacheNode::fileListHead, cacheNode::fileListTail, cacheNode::next, NULL, cacheNode::parent, cacheNode::prev, spinLock(), and spinUnlock().

Referenced by ubixfs_cacheFind().

Here is the call graph for this function:

void ubixfs_cacheDelete | ( | struct cacheNode ** |  | ) |

Definition at line 202 of file dirCache.c.

References cacheNode::fileListHead, cacheNode::info, kfree(), cacheNode::name, cacheNode::next, NULL, and ubixfs_cacheDelete().

Referenced by ubixfs_cacheDelete().

Here is the call graph for this function:

struct cacheNode* ubixfs_cacheFind | ( | struct cacheNode * | ,
|  | char * |  |
| ) |  |  |

Definition at line 55 of file dirCache.c.

References assert, cacheNode::attributes, dca_spinLock, dirList, cacheNode::fileListHead, cacheNode::fileListTail, cacheNode::info, cacheNode::name, cacheNode::next, NULL, cacheNode::parent, cacheNode::permissions, cacheNode::present, cacheNode::prev, cacheNode::size, spinLock(), spinUnlock(), cacheNode::startCluster, strcmp(), typeFile, ubixfs_cacheAdd(), ubixfs_cacheFind(), ubixfs_cacheNew(), and ubixfs_findName().

Referenced by openFileUbixFS(), and ubixfs_cacheFind().

Here is the call graph for this function:

struct cacheNode* ubixfs_cacheNew | ( | const char * |  | ) |

Definition at line 185 of file dirCache.c.

References assert, cacheNode::attributes, cacheNode::dirty, cacheNode::fileListHead, cacheNode::fileListTail, cacheNode::info, kmalloc(), cacheNode::name, cacheNode::next, NULL, cacheNode::parent, cacheNode::permissions, cacheNode::present, cacheNode::prev, cacheNode::size, cacheNode::startCluster, strcpy, and strlen.

Referenced by ubixfs_cacheFind(), and ubixfs_initialize().

Here is the call graph for this function: